<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="DistribucionCamareras.aspx.cs" Inherits="Seven.Front.DistribucionCamareras" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("DistribucionCamareras") %> [5.3]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Distribución de Camareras */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDC() {
            $.ajax({
                url: 'Servicio.svc/GetDistribucionCamareras',
                data: {
                    "Modo": 0
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgDC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDC() {

            var lselDC;
            var colMap = {};
            $("#jqgDC").jqGrid({
                datatype: 'local',
                height: 150,
                width: 420,
                colNames: ['', '<%=L.LBL("LblFDKDCamareras") %>', '<%=L.LBL("LblFDKOcupadas") %> + <%=L.LBL("LblFDKDCVaciasSucias") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'nombre_cama', index: 'nombre_cama', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'OcupVS', index: 'OcupVS', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDC) && !isNaN(id)) {
                            $("#jqgDC").jqGrid('delRowData', lselDC);
                            //$('#jqgDC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDC").jqGrid('getRowData', id);

                            $('#jqgDC').jqGrid('restoreRow', lselDC);

                            $('#IdSubElementDC').val(ret.Id);

                            $('#jqgRC').jqGrid('clearGridData');

                            RefreshGridRC();
                        }

                        lselDC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDC)) {
                            $("#jqgDC").jqGrid('delRowData', lselDC);
                            $('#jqgDC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDC').jqGrid('saveRow', lselDC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDC').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgDC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementDC').val()) == 0) {
                            $('#IdSubElementDC').val($("#jqgDC").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgDC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgDC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgDC').jqGrid('setSelection', $('#IdSubElementDC').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDC() {
            $("#jqgDC").jqGrid("setGridParam", { datatype: "json", datatype: GetDC, loadonce: true });
            $("#jqgDC").trigger("reloadGrid");
            $("#jqgDC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Código del jqGrid para Distribución de Camareras */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetRA() {
            $.ajax({
                url: 'Servicio.svc/GetDistribucionCamareras',
                data: {
                    "Modo": 1
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgRA").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgRA")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgRA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridRA() {

            var lselRA;
            var colMap = {};
            $("#jqgRA").jqGrid({
                datatype: 'local',
                height: 150,
                width: 700,
                colNames: ['', '<%=L.LBL("LblFDKRango") %>', '<%=L.LBL("LblFDKTotalHabitaciones") %>', '<%=L.LBL("LblFDKOcupadas") %>'
                    , '<%=L.LBL("LblFDKFueraOrden") %>', '<%=L.LBL("LblFDKDCVaciasLimpias") %>', '<%=L.LBL("LblFDKDCVaciasSucias") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'desc_rango', index: 'desc_rango', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'THabi', index: 'THabi', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'Ocup', index: 'Ocup', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'FO', index: 'FO', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'VL', index: 'VL', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'VS', index: 'VS', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'center' },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselRA) && !isNaN(id)) {
                            $("#jqgRA").jqGrid('delRowData', lselRA);
                            //$('#jqgRA').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgRA").jqGrid('getRowData', id);

                            $('#jqgRA').jqGrid('restoreRow', lselRA);

                            $('#IdSubElementRA').val(ret.Id);
                        }

                        lselRA = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselRA)) {
                            $("#jqgRA").jqGrid('delRowData', lselRA);
                            $('#jqgRA').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgRA').jqGrid('saveRow', lselRA);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgRA').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgRA").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        //if (i == 0 && parseInt($('#IdSubElementRA').val()) == 0) {
                        //    $('#IdSubElementRA').val($("#jqgRA").getCell(rows[i], "Id"));
                        //}
                        var status = $("#jqgRA").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgRA").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgRA').jqGrid('setSelection', $('#IdSubElementRA').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridRA() {
            $("#jqgRA").jqGrid("setGridParam", { datatype: "json", datatype: GetRA, loadonce: true });
            $("#jqgRA").trigger("reloadGrid");
            $("#jqgRA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Código del jqGrid para Detalle de la Distribución */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetRC() {
            $.ajax({
                url: 'Servicio.svc/GetDistribucionCamarerasDetalle',
                data: {
                    "id_cama": $('#IdSubElementDC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgRC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgRC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgRC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutRC(id, id_cama, id_rango, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutDistribucionCamarerasDetalle',
                data: {
                    "id_raca": id, "id_cama": $('#IdSubElementDC').val(), "id_rango": id_rango
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementRC').val(0);
                            BotonDefaultRC();
                            RefreshGridDC();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultRC();
                                RefreshGridDC();
                            }
                            else {
                                $('#IdSubElementRC').val(res);
                                BotonDefaultRC();
                                RefreshGridDC();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridRC() {

            var lselRC;
            var colMap = {};
            $("#jqgRC").jqGrid({
                datatype: 'local',
                height: 120,
                width: 270,
                colNames: ['', '', '<%=L.LBL("LblFDKRango") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_cama', index: 'id_cama', width: 10, editable: true, hidden: true },
                            {
                                name: 'id_rango', index: 'id_rango', width: 10, editable: true,
                                formatter: 'select', stype: 'select', edittype: 'select', editoptions: { <%=cbRangoJQ %> }
                            },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselRC) && !isNaN(id)) {
                            $("#jqgRC").jqGrid('delRowData', lselRC);
                            //$('#jqgRC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgRC").jqGrid('getRowData', id);

                            $('#jqgRC').jqGrid('restoreRow', lselRC);

                            $('#IdSubElementRC').val(ret.Id);
                        }
                        else {
                            BotonNuevoRC();
                        }

                        $('#jqgRC').jqGrid('editRow', id, true, EventsRC);

                        lselRC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselRC)) {
                            $("#jqgRC").jqGrid('delRowData', lselRC);
                            $('#jqgRC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgRC').jqGrid('saveRow', lselRC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgRC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgRC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextRC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconRC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextRC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconRC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgRC').jqGrid('setSelection', id); 

                        BotonSelectRC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgRC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementRC').val()) == 0) {
                            $('#IdSubElementRC').val($("#jqgRC").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgRC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgRC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgRC').jqGrid('setSelection', $('#IdSubElementRC').val());
                    if (parseInt($('#IdSubElementRC').val()) != 0) {
                        BotonSelectRC();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgRC").jqGrid('navGrid','#PaginadorRC',{del:false,add:false,edit:false,search:false});
            $("#bsdataRC").click(function () {
                jQuery("#jqgRC").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsRC(id) {
            $("#" + id + "_id_rango").prop('disabled', true);
        }

        function EventsNewRC() {
            var selr = jQuery('#jqgRC').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_rango").on('change', function () { BotonGuardarRC(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridRC() {
            $("#jqgRC").jqGrid("setGridParam", { datatype: "json", datatype: GetRC, loadonce: true });
            $("#jqgRC").trigger("reloadGrid");
            $("#jqgRC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateRC() {
            $('#IdSubElementRC').val(0);
            $("#jqgRC").jqGrid('addRow', {
                initdata: { 'Id': '0' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonGuardarRC();
            EventsNewRC();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveRC() {
            var id = $("#jqgRC").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutRC(id, $('#' + id + '_id_cama').val(), $('#' + id + '_id_rango').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteRC() {
            var id = $("#jqgRC").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutRC(id, $('#' + id + '_id_cama').val(), $('#' + id + '_id_rango').val(), $('#' + id + '_eliminado').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelRC() {
            var id = $("#jqgRC").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgRC').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultRC();
        }

        function BotonDefaultRC() {
            $('#btnNuevoRC').button('enable');
            $('#btnEliminarRC').button('disable');
            $('#btnGuardarRC').button('disable');
            $('#btnCancelarRC').button('disable');
        }

        function BotonNuevoRC() {
            $('#btnNuevoRC').button('disable');
            $('#btnEliminarRC').button('disable');
            $('#btnGuardarRC').button('disable');
            $('#btnCancelarRC').button('enable');
        }

        function BotonSelectRC() {
            $('#btnNuevoRC').button('enable');
            var id = $("#jqgRC").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarRC').button('enable');
            }
            else {
                $('#btnEliminarRC').button('disable');
            }
            $('#btnGuardarRC').button('disable');
            $('#btnCancelarRC').button('disable');
        }

        function BotonGuardarRC() {
            $('#btnNuevoRC').button('disable');
            $('#btnEliminarRC').button('disable');
            $('#btnGuardarRC').button('enable');
            $('#btnCancelarRC').button('enable');
        }

        function DistribucionCamareras()
        {
            window.open("Informe.aspx?r=530"
                /*+ "&s=" + $('#cbEstado:checked').val()*/, "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridDC();
            LoadGridRA();
            LoadGridRC();

            RefreshGridDC();
            RefreshGridRA();

            BotonDefaultRC();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="DistribucionCamareras.aspx"><%=L.TIT("DistribucionCamareras") %> [5.3]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("DistribucionCamareras") %> [5.3]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="DistribucionCamareras();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/5-3-distribuci%C3%B3n-de-camareras/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td>
                            <input type="hidden" id="IdSubElementDC" value="0" />
                            <table id="jqgDC"></table>
                        </td>
                        <td>
                            <input type="hidden" id="IdSubElementRC" value="0" />
                            <table id="jqgRC"></table>

                            <table style="width: 100%;">
                                <tr>
                                    <td colspan="4">
                                        <table style="width: 100%;">
                                            <tr>
                                                <td style="width: 100%;"></td>
                                                <td>
                                                    <button type="button" id="btnNuevoRC" onclick="CreateRC();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminarRC" onclick="DeleteRC();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img id="btnEliminarIconRC" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardarRC" onclick="SaveRC();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarRC" onclick="CancelRC();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br />

                <b><%=L.LBL("LblFDKDCInfoRangos") %></b>

                <br />
                <br />

                <input type="hidden" id="IdSubElementRA" value="0" />
                <table id="jqgRA"></table>

                <br /><br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <%--<td>
                                        <input type="checkbox" id="cbEstado" name="cbEstado" value="1" checked="checked" /><%=L.LBL("LblFDKDCEstadoHabi") %>&nbsp;&nbsp;&nbsp;
                                    </td>--%>
                                    <td>
                                        <button type="button" id="btnImprimir" onclick="DistribucionCamareras();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" /></td>
                                                        <td><%=L.LBL("LblGENPrint") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

